input[type='text'],
input[type='email'],
input[type='number'],
textarea,
select {
    @apply rounded-[4px];
}

label {
    @apply cursor-pointer;
}

.forminator-field {
    @apply relative flex flex-col;

    label.forminator-label {
        @apply absolute left-[10px] top-[8px] px-2 transition-all;
    }

    label[for*='select'] {
        @apply relative top-0 left-0 p-0;
    }

    &.forminator-is_active,
    &.forminator-is_filled {
        label.forminator-label {
            @apply top-[-15px] scale-90 bg-white;
        }
    }

    &.forminator-is_filled {
        input {
            @apply border-green-600;
        }
    }

    &.forminator-has_error {
        input {
            @apply border-red-600;
        }

        .forminator-error-message {
            @apply text-sm text-red-600 mt-3;
        }
    }

    .forminator-radio,
    .forminator-checkbox {
        @apply flex items-center justify-start;

        label {
            @apply mb-2;
        }

        input {
            @apply mr-2 ring-0;
        }
    }
}
